package com.huimv.secure.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 流程表
 * </p>
 *
 * @author author
 * @since 2024-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("base_process")
public class BaseProcess implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 目的地
     */
    private String destName;

    /**
     * 目的地 id
     */
    private Integer destId;

    /**
     * 申请人
     */
    private String admissionUserName;

    /**
     * 申请人id
     */
    private Integer admissionUserId;

    /**
     * 提交时间
     */
    private LocalDateTime subDate;

    /**
     * 用，分割  修改时间
     */
    private String updateDate;

    /**
     * 用，分割  0进行中 1通过 2异常
     */
    private String currentStatus;

    /**
     * 用，分割  当前位置
     */
    private String currentLocation;

    /**
     * 用，分割  当前位置id
     */
    private String currentLocationId;

    private Integer farmId;

    /**
     * 0 进行中，1已完成，2拒绝（提前结束）
     */
    private Integer processType;

    /**
     * 流程所有地点
     */
    private String allLocation;

    private String allLocationId;

    /**
     * 0 未进行 1进行中 2已完成 3已拒绝
     */
    private String allLocationStatus;


}
